<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\KursUebersicht\KursUebersicht\Detailsreiter\BelegungsDetails;

class BelegungsDetailsPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new BelegungsDetailsView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new BelegungsDetailsViewModel();
    $viewModel->columns = $this->useCaseResponse->columns;
    $viewModel->belegung = $this->useCaseResponse->belegung;

    return $viewModel;
  }
}